Bug 26014 - Add publication year and edition to Z39.50 results in acquisition
Summary: Add publication year and edition to Z39.50 results in acquisition
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-17 22:59 UTC by Katrin Fischer
Modified: 2020-09-04 20:21 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26014: Add publication year and edition to Z39.50 results in acquisition (3.58 KB, patch)
2020-07-17 23:11 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26014: Add publication year and edition to Z39.50 results in acquisition (3.63 KB, patch)
2020-08-09 16:41 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 26014: Add publication year and edition to Z39.50 results in acquisition (3.63 KB, patch)
2020-08-09 16:42 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 26014: Add publication year and edition to Z39.50 results in acquisition (3.79 KB, patch)
2020-08-25 14:31 UTC, Joonas Kylmälä
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-07-17 22:59:12 UTC
The column exists in the Z39.50 results in cataloguing, but would be equally useful in the 'from extern sources' Z39.50 restults in acq.
Comment 1 Katrin Fischer 2020-07-17 23:11:34 UTC
Created attachment 107048 [details] [review]
Bug 26014: Add publication year and edition to Z39.50 results in acquisition

The publication year and edition columns were present in
the Z39.50 results in cataloguing, but were missing in
acquisitions.

To test:
- Go to acquisitions
- Create a new basket
- Create an order within it from 'external source'
- Search for a title, for example with LOC
- In a separate tab, go to cataloguing
- Search the same record with Z39.50
- Compare result lists, date and edition are missing from acq
- Apply the patch
- Repeat search in acquisitions
- Verify result lists now match up
- Bonus: Date was changed to Year which is more fitting and
  will translate better.
Comment 2 Amit Gupta 2020-08-09 16:41:15 UTC
Created attachment 107976 [details] [review]
Bug 26014: Add publication year and edition to Z39.50 results  in acquisition

Work perfectly.
----------------------------------------------------------------------
The publication year and edition columns were present in
the Z39.50 results in cataloguing, but were missing in
acquisitions.

To test:
- Go to acquisitions
- Create a new basket
- Create an order within it from 'external source'
- Search for a title, for example with LOC
- In a separate tab, go to cataloguing
- Search the same record with Z39.50
- Compare result lists, date and edition are missing from acq
- Apply the patch
- Repeat search in acquisitions
- Verify result lists now match up
- Bonus: Date was changed to Year which is more fitting and
  will translate better.
--------------------------------------------------------------------
Comment 3 Amit Gupta 2020-08-09 16:42:22 UTC
Created attachment 107977 [details] [review]
Bug 26014: Add publication year and edition to Z39.50 results  in acquisition

Work perfectly.
----------------------------------------------------------------------
The publication year and edition columns were present in
the Z39.50 results in cataloguing, but were missing in
acquisitions.

To test:
- Go to acquisitions
- Create a new basket
- Create an order within it from 'external source'
- Search for a title, for example with LOC
- In a separate tab, go to cataloguing
- Search the same record with Z39.50
- Compare result lists, date and edition are missing from acq
- Apply the patch
- Repeat search in acquisitions
- Verify result lists now match up
- Bonus: Date was changed to Year which is more fitting and
  will translate better.
--------------------------------------------------------------------
Comment 4 Katrin Fischer 2020-08-10 13:00:23 UTC
Thank you, Amit!
Comment 5 Joonas Kylmälä 2020-08-25 14:31:36 UTC
Created attachment 109073 [details] [review]
Bug 26014: Add publication year and edition to Z39.50 results in acquisition

The publication year and edition columns were present in
the Z39.50 results in cataloguing, but were missing in
acquisitions.

To test:
- Go to acquisitions
- Create a new basket
- Create an order within it from 'external source'
- Search for a title, for example with LOC
- In a separate tab, go to cataloguing
- Search the same record with Z39.50
- Compare result lists, date and edition are missing from acq
- Apply the patch
- Repeat search in acquisitions
- Verify result lists now match up
- Bonus: Date was changed to Year which is more fitting and
  will translate better.

Signed-off-by: Amit Gupta <amit.gupta@informaticsglobal.com>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Comment 6 Katrin Fischer 2020-08-26 07:29:24 UTC
Thx again!
Comment 7 Jonathan Druart 2020-08-26 13:23:51 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-09-04 20:21:14 UTC
enhancement will not be backported to 20.05.x